Overview | Modules | Class Hierarchy | Classes | Members

# tlp::PluginLoader Struct Reference

`#include <PluginLoader.h>`

Inherited by tlp::PluginLoaderTxt.

Inheritance diagram for tlp::PluginLoader:

[legend]
List of all members.

## Public Member Functions

- virtual ~PluginLoader ()
- virtual void start (const std::string &path, const std::string &type)=0
- virtual void numberOfFiles (int)
- virtual void loading (const std::string &filename)=0
- virtual void loaded (const std::string &name, const std::string &author, const std::string &date, const std::string &info, const std::string &release, const std::string &version, const std::list< Dependency > &)=0
- virtual void aborted (const std::string &filename, const std::string &erreurmsg)=0
- virtual void finished (bool state, const std::string &msg)=0

## Constructor & Destructor Documentation

virtual tlp::PluginLoader::~PluginLoader | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void tlp::PluginLoader::aborted | ( | const std::string & | filename,
|  | const std::string & | erreurmsg
| ) | `[pure virtual]`

| Implemented in tlp::PluginLoaderTxt.

virtual void tlp::PluginLoader::finished | ( | bool | state,
|  | const std::string & | msg
| ) | `[pure virtual]`

| Implemented in tlp::PluginLoaderTxt.

virtual void tlp::PluginLoader::loaded | ( | const std::string & | name,
|  | const std::string & | author,
|  | const std::string & | date,
|  | const std::string & | info,
|  | const std::string & | release,
|  | const std::string & | version,
|  | const std::list< Dependency > & |
| ) | `[pure virtual]`

| Implemented in tlp::PluginLoaderTxt.

virtual void tlp::PluginLoader::loading | ( | const std::string & | filename | ) | `[pure virtual]`

| Implemented in tlp::PluginLoaderTxt.

virtual void tlp::PluginLoader::numberOfFiles | ( | int |  | ) | `[inline, virtual]`

virtual void tlp::PluginLoader::start | ( | const std::string & | path,
|  | const std::string & | type
| ) | `[pure virtual]`

| Implemented in tlp::PluginLoaderTxt.

Tulip Software by LaBRI Visualization Team 2001 - 2010